---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libWaitNotifySuspendedVThread.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _monitor, symObjAddr: 0x23ED8, symBinAddr: 0x4088, symSize: 0x0 }
  - { offsetInCU: 0x89, offset: 0x89, size: 0x8, addend: 0x0, symName: _monitor_completed, symObjAddr: 0x23EE0, symBinAddr: 0x4090, symSize: 0x0 }
  - { offsetInCU: 0x9E, offset: 0x9E, size: 0x8, addend: 0x0, symName: _jvmti_env, symObjAddr: 0x23EE8, symBinAddr: 0x4098, symSize: 0x0 }
  - { offsetInCU: 0x8CD8, offset: 0x8CD8, size: 0x8, addend: 0x0, symName: _is_breakpoint_reached, symObjAddr: 0x23EF0, symBinAddr: 0x40A0, symSize: 0x0 }
  - { offsetInCU: 0x8CF4, offset: 0x8CF4, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x23EC0, symBinAddr: 0x4070, symSize: 0x0 }
  - { offsetInCU: 0x8D85, offset: 0x8D85, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0xE40, symSize: 0x30 }
  - { offsetInCU: 0x9203, offset: 0x9203, size: 0x8, addend: 0x0, symName: _Java_WaitNotifySuspendedVThreadTask_setBreakpoint, symObjAddr: 0xE10, symBinAddr: 0xE70, symSize: 0x2E0 }
  - { offsetInCU: 0x9B8C, offset: 0x9B8C, size: 0x8, addend: 0x0, symName: _Java_WaitNotifySuspendedVThreadTask_notifyRawMonitors, symObjAddr: 0x10F0, symBinAddr: 0x1150, symSize: 0x660 }
  - { offsetInCU: 0xA907, offset: 0xA907, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1750, symBinAddr: 0x17B0, symSize: 0x70 }
  - { offsetInCU: 0xAABA, offset: 0xAABA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x17C0, symBinAddr: 0x1820, symSize: 0x1B0 }
  - { offsetInCU: 0xAE81, offset: 0xAE81, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x1970, symBinAddr: 0x19D0, symSize: 0x5F0 }
...
